<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from linalg_gausspivotal.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="linalg_gausspivotal" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>linalg_gausspivotal</refname><refpurpose>Computes the solution of a linear equation with Gauss and row pivoting.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   x = linalg_gausspivotal ( A , b )
   x = linalg_gausspivotal ( A , b , verbose )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>A :</term>
      <listitem><para> a n-by-n matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>b :</term>
      <listitem><para> a n-by-1 matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>verbose :</term>
      <listitem><para> a 1-by-1 matrix of boolean (default verbose = %f), set to %t to display intermediate messages</para></listitem></varlistentry>
   <varlistentry><term>x :</term>
      <listitem><para> a n-by-1 matrix of doubles</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the solution of Ax = b
with a Gauss elimination and row exchanges.
This algorithm might be sensitive to inaccuracies if A near singular.
There is no solution is A is singular.
If A is not ill-conditionned, the algorithm is accurate.
Uses an effective algorithm with vectorization.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
A = [
3 17 10
2 4 -2
6 18 -12
];
b = [
67
4
6
];
x = linalg_gausspivotal ( A , b )
xe = [1 2 3]'
// See what happens
x = linalg_gausspivotal ( A , b , %t )

// See the algorithm
edit linalg_gausspivotal

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2008 - 2010 - Michael Baudin</member>
   <member>Copyright (C) 2010 - 2011 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
